> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/triggers/compoundv3/compv3pricetrigger.md).

# CompV3PriceTrigger

### Description

Trigger contract that verifies if current token price ratio is over/under the price ratio specified during subscription

> **Notes**
>
> This uses the CompoundV3 oracle, which returns the price of the collateral token in terms of the base (debt) token. The trigger expects the price input to be scaled by 1e8. This trigger also uses the user address to temporarily store the current ratio of user's position.

### Trigger ID

`0xb67d04b5`

### SDK Action

```ts
const compV3PriceTrigger = new dfs.triggers.CompV3PriceTrigger(
    market,
    collToken,
    user,
    price,
    state
);
```

### Subscription Parameters

```solidity
/// @param market address of the compoundV3 market
/// @param collToken address of the collateral token from the market
/// @param user address of the user that will be used to store the current ratio for.
/// @param price price of the collateral token in terms of the base token that represents the triggerable point.
/// @param state represents if we want the current price to be higher or lower than price param
struct SubParams {
    address market;
    address collToken;
    address user;
    uint256 price;
    uint8 state;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/triggers/compoundv3/compv3pricetrigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
